Package org.eclipse.m2m.atl.core.ui.launch

# Class AdvancedTab

java.lang.Object
org.eclipse.debug.ui.AbstractLaunchConfigurationTab
org.eclipse.m2m.atl.core.ui.launch.AdvancedTab

All Implemented Interfaces:
  `org.eclipse.debug.core.IPrototypeAttributesLabelProvider`, `org.eclipse.debug.ui.ILaunchConfigurationTab`, `org.eclipse.debug.ui.ILaunchConfigurationTab2`

public class AdvancedTab extends org.eclipse.debug.ui.AbstractLaunchConfigurationTab
The "advanced" tab in ATL configurations.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`OPTION_CLEAR`
Clears console after each launch.
`static final String`
`OPTION_CONTENT_TYPE`
Automatically detect content types for extraction.
`static final String`
`OPTION_DERIVED`
Sets generated files as derived.

## Constructor Summary

Constructors
Constructor
Description
`AdvancedTab()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`canSave()`
`void`
`createControl(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.graphics.Image`
`getImage()`
`String`
`getName()`
`void`
`initializeFrom(org.eclipse.debug.core.ILaunchConfiguration configuration)`
`static void`
`messageBox(org.eclipse.swt.widgets.Shell shell, String textToDisplay)`
Display a message box with the text in parameter.
`void`
`performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)`
`void`
`setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)`
`protected void`
`updateLaunchConfigurationDialog()`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`activated, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, deactivated, dispose, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, initializeAttributes, isDirty, isValid, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

## Field Details

### OPTION_DERIVED

public static final String OPTION_DERIVED
Sets generated files as derived.

See Also:
  - Constant Field Values

### OPTION_CLEAR

public static final String OPTION_CLEAR
Clears console after each launch.

See Also:
  - Constant Field Values

### OPTION_CONTENT_TYPE

public static final String OPTION_CONTENT_TYPE
Automatically detect content types for extraction.

See Also:
  - Constant Field Values

## Constructor Details

### AdvancedTab

public AdvancedTab()

## Method Details

### createControl

public void createControl(org.eclipse.swt.widgets.Composite parent)

See Also:
  - `ILaunchConfigurationTab.createControl(org.eclipse.swt.widgets.Composite)`

### updateLaunchConfigurationDialog

protected void updateLaunchConfigurationDialog()

Overrides:
  `updateLaunchConfigurationDialog` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
See Also:
  - `AbstractLaunchConfigurationTab.updateLaunchConfigurationDialog()`

### getName

public String getName()

### initializeFrom

public void initializeFrom(org.eclipse.debug.core.ILaunchConfiguration configuration)

See Also:
  - `ILaunchConfigurationTab.initializeFrom(org.eclipse.debug.core.ILaunchConfiguration)`

### performApply

public void performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)

See Also:
  - `ILaunchConfigurationTab.performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy)`

### setDefaults

public void setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy configuration)

See Also:
  - `ILaunchConfigurationTab.setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy)`

### canSave

public boolean canSave()

Specified by:
  `canSave` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `canSave` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
See Also:
  - `AbstractLaunchConfigurationTab.canSave()`

### getImage

public org.eclipse.swt.graphics.Image getImage()

Specified by:
  `getImage` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `getImage` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
See Also:
  - `AbstractLaunchConfigurationTab.getImage()`

### messageBox

public static void messageBox(org.eclipse.swt.widgets.Shell shell, String textToDisplay)
Display a message box with the text in parameter.

Parameters:
  `shell` - shell
  `textToDisplay` - the message